Bug 83163 - Replace openterm icons with konsole icons.
Summary: Replace openterm icons with konsole icons.
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-10 18:31 UTC by Kurt Hindenburg
Modified: 2005-03-17 19:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Set defaults to konsole icon instead of openterm. (3.32 KB, patch)
2004-06-10 18:33 UTC, Kurt Hindenburg
Details
Change default icon to konsole - kcontrol/konsole. (662 bytes, patch)
2004-06-10 18:36 UTC, Kurt Hindenburg
Details
patch kdebase/kcontrol/konsole (662 bytes, patch)
2004-08-23 01:13 UTC, Kurt Hindenburg
Details
patch kdebase/konsole to use konsole icons (3.33 KB, patch)
2004-08-23 01:13 UTC, Kurt Hindenburg
Details
patch for other/icons/Makefile.rules.in (9.77 KB, patch)
2004-08-23 01:14 UTC, Kurt Hindenburg
Details
6 new icons (8.14 KB, application/x-tbz)
2004-08-23 01:16 UTC, Kurt Hindenburg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Hindenburg 2004-06-10 18:31:17 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

Get rid of the openterm icons...

1. Default to konsole icon.
2. opentermred is used for su/sumc.  Perhaps red tint the konsole icon?
3. opentermblue is used for mc.       ""     blue            ""
4. agent is used for console (won't mind find another icon).
Comment 1 Kurt Hindenburg 2004-06-10 18:33:36 UTC
Created attachment 6300 [details]
Set defaults to konsole icon instead of openterm.
Comment 2 Kurt Hindenburg 2004-06-10 18:36:38 UTC
Created attachment 6301 [details]
Change default icon to konsole - kcontrol/konsole.
Comment 3 Kurt Hindenburg 2004-08-23 01:12:28 UTC
Here's everything need to change this.
1. kdebase/kcontrol/konsole diff
2. konsole diff
3. 6 new icons
4. konsole/other/icons/Makefile.rules.in diff (This is not in cvs... how to generate this????)

Anyone comment on this?
Comment 4 Kurt Hindenburg 2004-08-23 01:13:16 UTC
Created attachment 7226 [details]
patch kdebase/kcontrol/konsole
Comment 5 Kurt Hindenburg 2004-08-23 01:13:57 UTC
Created attachment 7227 [details]
patch kdebase/konsole to use konsole icons
Comment 6 Kurt Hindenburg 2004-08-23 01:14:49 UTC
Created attachment 7228 [details]
patch for other/icons/Makefile.rules.in

I need to figure out this file is generated; it is not in CVS.
Comment 7 Kurt Hindenburg 2004-08-23 01:16:27 UTC
Created attachment 7229 [details]
6 new icons 

6 new icons

-rw-r--r--  1 kvh users  798 Aug 22 17:18 cr16-action-konsoleblue.png
-rw-r--r--  1 kvh users  789 Aug 22 17:18 cr16-action-konsolered.png
-rw-r--r--  1 kvh users 1169 Aug 22 17:18 cr22-action-konsoleblue.png
-rw-r--r--  1 kvh users 1160 Aug 22 17:18 cr22-action-konsolered.png
-rw-r--r--  1 kvh users 1897 Aug 22 17:18 cr32-action-konsoleblue.png
-rw-r--r--  1 kvh users 1899 Aug 22 17:18 cr32-action-konsolered.png
Comment 8 Kurt Hindenburg 2005-03-16 17:10:58 UTC
CVS commit by hindenburg: 

s/openterm/konsole/

CCBUGS: 83163


  M +4 -4      konsole.cpp   1.516
  M +2 -2      main.cpp   1.288
  M +1 -1      session.cpp   1.101


--- kdebase/konsole/konsole/konsole.cpp  #1.515:1.516
@@ -2508,5 +2508,5 @@ QString Konsole::newSession(KSimpleConfi
 {
   QString emu = "xterm";
-  QString icon = "openterm";
+  QString icon = "konsole";
   QString key;
   QString sch = s_kconfigSchema;
@@ -3097,5 +3097,5 @@ void Konsole::createSessionMenus()
   KSimpleConfig *cfg = no2command[SESSION_NEW_SHELL_ID];
   QString txt = cfg->readEntry("Name");
-  QString icon = cfg->readEntry("Icon", "openterm");
+  QString icon = cfg->readEntry("Icon", "konsole");
   insertItemSorted(m_tabbarSessionsCommands, SmallIconSet(icon),
                    txt.replace('&',"&&"), SESSION_NEW_SHELL_ID );
@@ -3119,5 +3119,5 @@ void Konsole::createSessionMenus()
 
     QString txt = (*it).readEntry("Name");
-    QString icon = (*it).readEntry("Icon", "openterm");
+    QString icon = (*it).readEntry("Icon", "konsole");
     insertItemSorted(m_tabbarSessionsCommands, SmallIconSet(icon),
                      txt.replace('&',"&&"), it.currentKey() );
@@ -3151,5 +3151,5 @@ void Konsole::addScreenSession(const QSt
   co->writePathEntry("Exec", QString::fromLatin1("SCREENDIR=%1 screen -r %2")
     .arg(path).arg(socket));
-  QString icon = "openterm"; // FIXME use another icon (malte)
+  QString icon = "konsole";
   cmd_serial++;
   m_session->insertItem( SmallIconSet( icon ), txt, cmd_serial, cmd_serial - 1 );

--- kdebase/konsole/konsole/main.cpp  #1.287:1.288
@@ -485,5 +485,5 @@ extern "C" int KDE_EXPORT kdemain(int ar
         sTitle = sessionconfig->readEntry("Title0", title);
         sTerm = sessionconfig->readEntry("Term0");
-        sIcon = sessionconfig->readEntry("Icon0","openterm");
+        sIcon = sessionconfig->readEntry("Icon0","konsole");
         sCwd = sessionconfig->readPathEntry("Cwd0");
         workDir = sessionconfig->readPathEntry("workdir");
@@ -526,5 +526,5 @@ extern "C" int KDE_EXPORT kdemain(int ar
           sTerm = sessionconfig->readEntry(key);
           key = QString("Icon%1").arg(counter);
-          sIcon = sessionconfig->readEntry(key,"openterm");
+          sIcon = sessionconfig->readEntry(key,"konsole");
           key = QString("Cwd%1").arg(counter);
           sCwd = sessionconfig->readPathEntry(key);

--- kdebase/konsole/konsole/session.cpp  #1.100:1.101
@@ -67,5 +67,5 @@ TESession::TESession(TEWidget* _te, cons
   term = _term;
   winId = _winId;
-  iconName = "openterm";
+  iconName = "konsole";
 
   //kdDebug(1211)<<"TESession ctor() sh->setSize()"<<endl;
Comment 9 Kurt Hindenburg 2005-03-16 17:15:53 UTC
CVS commit by hindenburg: 

s/openterm/konsole/

CCBUGS: 83163


  M +1 -1      sessioneditor.cpp   1.25


--- kdebase/kcontrol/konsole/sessioneditor.cpp  #1.24:1.25
@@ -209,5 +209,5 @@ void SessionEditor::readSession(int num)
         executeLine->setText(str);
 
-        str = co->readEntry("Icon","openterm");
+        str = co->readEntry("Icon","konsole");
         previewIcon->setIcon(str);
 
Comment 10 Kurt Hindenburg 2005-03-16 17:45:50 UTC
CVS commit by hindenburg: 

s/openterm/konsole

CCBUGS: 83163


  M +1 -1      konsole_mnu.cpp   1.12


--- kdebase/kicker/menuext/konsole/konsole_mnu.cpp  #1.11:1.12
@@ -119,5 +119,5 @@ void KonsoleMenu::initialize()
             continue;
         }
-        insertItemSorted(this, SmallIconSet(conf.readEntry("Icon", "openterm")), text, id++);
+        insertItemSorted(this, SmallIconSet(conf.readEntry("Icon", "konsole")), text, id++);
         QFileInfo fi(*it);
         sessionList.append(fi.baseName(true));
Comment 11 Kurt Hindenburg 2005-03-17 19:16:27 UTC
The xconsole icon looks decent as well.  Anything better than the old openterm icons.